ArrayObject::getIterator
ArrayObject::ksort
ArrayObject
PHP Manual

# ArrayObject::getIteratorClass

Gets the iterator classname for the ArrayObject.

### Description

public string ArrayObject::getIteratorClass ( void )

Gets the class name of the array iterator that is used by ArrayObject::getIterator().

### Parameters

This function has no parameters.

### Return Values

Returns the iterator class name that is used to iterate over this object.

### Examples

Example #1 ArrayObject::getIteratorClass example

`<?php
// Custom ArrayIterator (inherits from ArrayIterator)
class MyArrayIterator extends ArrayIterator {
// custom implementation
}
// Array of available fruits
$fruits = array("lemons" => 1, "oranges" => 4, "bananas" => 5, "apples" => 10);
$fruitsArrayObject = new ArrayObject($fruits);
// Get the current class name
$className = $fruitsArrayObject->getIteratorClass();
var_dump($className);
// Set new classname
$fruitsArrayObject->setIteratorClass('MyArrayIterator');
// Get the new iterator classname
$className = $fruitsArrayObject->getIteratorClass();
var_dump($className);
?>`

The above example will output:

    string(13) "ArrayIterator"
    string(15) "MyArrayIterator"

### See Also

- The ArrayObject::setIteratorClass method